.card {
  display: flex;
  gap: 16px;
  flex-wrap: wrap;

  &__wrapper {
    align-items: flex-start;
  }

  &:first-child {
    flex: 0.9;
  }

  &__imageWrapper {
    display: flex;
    align-items: center;
    width: 50%;
    min-width: 160px;
  }

  &__image {
    width: 100%;
    aspect-ratio: 2/1;
    object-fit: cover;
    border-radius: 12px;
    box-shadow: inset 0px 0px 2px rgba(0, 0, 0, 0.5);
    justify-content: center;
  }

  &__form {
    display: flex;
    flex-direction: column;
    flex: 1;
    gap: 8px;
  }

  &__input {
    width: 100%;
  }

  &__actions {
    display: flex;
    align-items: center;
    justify-content: center;

    >* {
      width: 200px;
    }
  }

  &__composition {
    flex: 1;
    display: flex;
    flex-direction: column;
    background: #F3F3F3;
    border: 1px solid #D8D8D8;
    border-radius: 16px;
  }

  &__compositionTitle {
    border-radius: 15px 15px 0 0;
    padding: 16px;
    display: block;
    background: #ddd;
    border-bottom: 1px solid #D8D8D8;
  }

  &__compositionList {
    display: flex;
    flex-direction: column;
    margin-top: 12px;
    margin-bottom: 12px;
    gap: 8px;
    flex: 1;
    overflow-y: auto;
    overflow-x: auto;
    max-width: calc(100vw - 64px);
    max-height: 75vh;
  }

  &__compositionListCurrent {
    flex: 1;
  }

  &__compositionItem {
    display: flex;
    align-items: center;
    background: #fff;
    border: 1px solid #D8D8D8;
    border-radius: 8px;
    padding: 12px 16px;
    margin-bottom: 8px;
  }

  &__compositionNewRow {
    display: flex;
    justify-content: flex-end;
    gap: 8px;
  }

  &__compositionItemName {
    margin-right: 16px;
  }

  &__massInput {
    width: fit-content;
  }

  &__compositionItemPFC {
    display: flex;
  }

  &__pfc {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 4px;

    &:not(:last-child) {
      padding-right: 12px;
      margin-right: 12px;
      border-right: 1px solid #D8D8D8;
    }
  }

  &__pfcTitle {
    font-size: 12px;
    opacity: 0.75;
  }

  &__spacer {
    display: block;
    flex: 1;
  }

  &__compositionWrapper {
    display: flex;
    flex-direction: column;
    flex: 1;
  }
}